import os
from charmhelpers.core.templating import render


KIBANA_YML = os.path.join('/', 'etc', 'kibana', 'kibana.yml')


def render_conf(cfg_path, cfg_tmpl, owner='root',
                group='root', ctxt={}, perms=0o644):
    if os.path.exists(cfg_path):
        os.remove(cfg_path)
    render(source=cfg_tmpl, target=cfg_path, owner=owner,
           group=group, perms=perms, context=ctxt)

